unit PropEd;
interface

//  MENEWL - 12.17.97  ( added the WARNINGS OFF )
{$HINTS OFF}

uses forms, Classes;

var Editors : Array[1..1000] of Record
  PropType : TClass;
  EditIt   : TNotifyEvent;
End;


Type UselessObject = Class(TObject)
  Procedure RegFont(Sender : TObject);
  Procedure ApplyFont(Sender : TObject;  Wnd : Integer);
End;

var NumEditors : Integer;
    FontSender : Tobject;

Procedure RegisterPropEd(PropType : TClass; EditIt : TNotifyEvent);
Function IsRegistered(C : TObject) : Boolean;
Procedure Edit(O : TObject);

implementation

Uses Dialogs, graphics, inspect;

var ReallyUseless : UselessObject;

Procedure RegisterPropEd(PropType : TClass; EditIt : TNotifyEvent);
var a : tform;
    found : boolean;
    x : integer;
begin
  found := false;
  for x := 1 to NumEditors do
    if PropType = Editors[NumEditors].PropType then begin
      found := true;
      Break;
    End;

  if not found then begin
    Inc(NumEditors);
    x := numeditors;
  End;

  Editors[x].PropType := PropType;
  Editors[x].EditIt := EditIt;
End;

Procedure Edit;
var a : tform;
var x : integer;
Begin
  For x := 1 to NumEditors do
    if o is Editors[X].PropType  then begin
      Editors[X].EditIt(O);
      Break;
    End;
End;

Function IsRegistered(C : TObject) : Boolean;
var x : integer;
Begin
  for x := 1 to NumEditors do
    if C is Editors[X].PropType then begin
      IsRegistered := True;
      Exit;
    End;
  IsRegistered := False;
End;

Procedure uselessObject.RegFont;
var fd : tfontDialog;
Begin
  FontSender := Sender;
  fd := tfontDialog.Create(application);
  fd.OnApply := ApplyFont;
  fd.Font.Assign(Sender as TFont);
  FD.Execute;
  (sender as tfont).assign(fd.font);
  FD.Free;
End;

Procedure uselessObject.ApplyFont;
Begin
  (Fontsender as tfont).assign((Sender as TFontDialog).font);
End;

Begin
NumEditors := 0;
RegisterPropEd(TFont, ReallyUseless.RegFont);
end.
